V2 - Provider Summary
Returns the Aerodrome V2 liquidity-provider summary and portfolio metrics for a given wallet address on an EVM chain. Portfolio-wide USD aggregates and weighted APRs are null if any represented position cannot be fully priced; per-pool and per-token values are nullable independently.
GET
https://api.cambrian.org/evm/aero/v2/provider-summary
Parameters
chain_id (integer)
EVM chain ID.
wallet_address* (string)
Liquidity provider address with 0x prefix
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "providerId",
"type": "String"
},
{
"name": "totalValueLockedUsd",
"type": "Nullable(Float64)"
},
{
"name": "activePositionCount",
"type": "UInt64"
},
{
"name": "totalFeesEarned7d",
"type": "Nullable(Float64)"
},
{
"name": "averageAPR7dWeighted",
"type": "Nullable(Float64)"
},
{
"name": "firstPositionTimestamp",
"type": "Nullable(DateTime('UTC'))"
},
{
"name": "lastActiveTimestamp",
"type": "Nullable(DateTime('UTC'))"
},
{
"name": "poolCount",
"type": "UInt64"
},
{
"name": "topPoolsData",
"type": "Array(Tuple(FixedString(42),String,String,Nullable(Float64),Nullable(Float64)))"
},
{
"name": "tokenExposure",
"type": "Array(Tuple(FixedString(42),String,Float64,Nullable(Float64),Nullable(Float64)))"
},
{
"name": "averagePositionSizeUsd",
"type": "Nullable(Float64)"
},
{
"name": "medianPositionSizeUsd",
"type": "Nullable(Float64)"
},
{
"name": "minPositionSizeUsd",
"type": "Nullable(Float64)"
},
{
"name": "maxPositionSizeUsd",
"type": "Nullable(Float64)"
},
{
"name": "hhiConcentrationIndex",
"type": "Nullable(Float64)"
},
{
"name": "totalFeesEarned30d",
"type": "Nullable(Float64)"
},
{
"name": "averageAPR30dWeighted",
"type": "Nullable(Float64)"
},
{
"name": "feeAprByPool30d",
"type": "Array(Tuple(FixedString(42),String,String,Nullable(Float64),Nullable(Float64)))"
}
],
"data": [
[
"0x8115afd8dffce5579381ad27524b6feeae917bef",
null,
3,
null,
null,
"2025-05-04T15:37:35+00:00",
"2025-11-14T21:23:41+00:00",
3,
[
[
"0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
"USDC",
"AERO",
7.64293913380204,
null
],
[
"0xcdac0d6c6c59727a65f871236188350531885c43",
"WETH",
"USDC",
4.0592370820075985,
null
],
[
"0x55b27dbddf95a55bd46d0284348dc8231cd72a2c",
"USDC.e",
"Unitos.net",
null,
null
]
],
[
[
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
5.846573580342932,
5.846573580342932,
null
],
[
"0x940181a94a35a4569e4529a3cdfb74e38fd98631",
"AERO",
9.258544786616937,
3.8259097792025174,
null
],
[
"0x4200000000000000000000000000000000000006",
"WETH",
0.0010864921894428372,
2.0296928562641887,
null
],
[
"0x04e4dfbdbd7c9416a96e144ac51d95d78f83fb19",
"USDC.e",
16109.845441127067,
null,
null
],
[
"0xd88707f590528b4a1e316eeebe7bb6ac8b0ea461",
"Unitos.net",
3627.4473281608107,
null,
null
]
],
null,
null,
null,
null,
null,
null,
null,
[
[
"0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
"USDC",
"AERO",
0.0593277037736198,
0.09444277695736393
],
[
"0xcdac0d6c6c59727a65f871236188350531885c43",
"WETH",
"USDC",
0.011900108337477979,
0.03566794659052249
],
[
"0x55b27dbddf95a55bd46d0284348dc8231cd72a2c",
"USDC.e",
"Unitos.net",
null,
null
]
]
]
],
"rows": 1
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Retrieve Provider Summary for a Wallet
Fetches the Aerodrome V2 liquidity-provider summary for a specific wallet address on Base (chain ID 8453).
curl
curl -X GET "https://api.cambrian.org/evm/aero/v2/provider-summary?wallet_address=0x8115afd8dffce5579381ad27524b6feeae917bef" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "providerId",
6 "type": "String"
7 },
8 {
9 "name": "totalValueLockedUsd",
10 "type": "Nullable(Float64)"
11 },
12 {
13 "name": "activePositionCount",
14 "type": "UInt64"
15 },
16 {
17 "name": "totalFeesEarned7d",
18 "type": "Nullable(Float64)"
19 },
20 {
21 "name": "averageAPR7dWeighted",
22 "type": "Nullable(Float64)"
23 },
24 {
25 "name": "firstPositionTimestamp",
26 "type": "Nullable(DateTime('UTC'))"
27 },
28 {
29 "name": "lastActiveTimestamp",
30 "type": "Nullable(DateTime('UTC'))"
31 },
32 {
33 "name": "poolCount",
34 "type": "UInt64"
35 },
36 {
37 "name": "topPoolsData",
38 "type": "Array(Tuple(FixedString(42),String,String,Nullable(Float64),Nullable(Float64)))"
39 },
40 {
41 "name": "tokenExposure",
42 "type": "Array(Tuple(FixedString(42),String,Float64,Nullable(Float64),Nullable(Float64)))"
43 },
44 {
45 "name": "averagePositionSizeUsd",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "medianPositionSizeUsd",
50 "type": "Nullable(Float64)"
51 },
52 {
53 "name": "minPositionSizeUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "maxPositionSizeUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "hhiConcentrationIndex",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "totalFeesEarned30d",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "averageAPR30dWeighted",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "feeAprByPool30d",
74 "type": "Array(Tuple(FixedString(42),String,String,Nullable(Float64),Nullable(Float64)))"
75 }
76 ],
77 "data": [
78 [
79 "0x8115afd8dffce5579381ad27524b6feeae917bef",
80 null,
81 3,
82 null,
83 null,
84 "2025-05-04T15:37:35+00:00",
85 "2025-11-14T21:23:41+00:00",
86 3,
87 [
88 [
89 "0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
90 "USDC",
91 "AERO",
92 7.64293913380204,
93 null
94 ],
95 [
96 "0xcdac0d6c6c59727a65f871236188350531885c43",
97 "WETH",
98 "USDC",
99 4.0592370820075985,
100 null
101 ],
102 [
103 "0x55b27dbddf95a55bd46d0284348dc8231cd72a2c",
104 "USDC.e",
105 "Unitos.net",
106 null,
107 null
108 ]
109 ],
110 [
111 [
112 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
113 "USDC",
114 5.846573580342932,
115 5.846573580342932,
116 null
117 ],
118 [
119 "0x940181a94a35a4569e4529a3cdfb74e38fd98631",
120 "AERO",
121 9.258544786616937,
122 3.8259097792025174,
123 null
124 ],
125 [
126 "0x4200000000000000000000000000000000000006",
127 "WETH",
128 0.0010864921894428372,
129 2.0296928562641887,
130 null
131 ],
132 [
133 "0x04e4dfbdbd7c9416a96e144ac51d95d78f83fb19",
134 "USDC.e",
135 16109.845441127067,
136 null,
137 null
138 ],
139 [
140 "0xd88707f590528b4a1e316eeebe7bb6ac8b0ea461",
141 "Unitos.net",
142 3627.4473281608107,
143 null,
144 null
145 ]
146 ],
147 null,
148 null,
149 null,
150 null,
151 null,
152 null,
153 null,
154 [
155 [
156 "0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
157 "USDC",
158 "AERO",
159 0.0593277037736198,
160 0.09444277695736393
161 ],
162 [
163 "0xcdac0d6c6c59727a65f871236188350531885c43",
164 "WETH",
165 "USDC",
166 0.011900108337477979,
167 0.03566794659052249
168 ],
169 [
170 "0x55b27dbddf95a55bd46d0284348dc8231cd72a2c",
171 "USDC.e",
172 "Unitos.net",
173 null,
174 null
175 ]
176 ]
177 ]
178 ],
179 "rows": 1
180 }
181]
2 {
3 "columns": [
4 {
5 "name": "providerId",
6 "type": "String"
7 },
8 {
9 "name": "totalValueLockedUsd",
10 "type": "Nullable(Float64)"
11 },
12 {
13 "name": "activePositionCount",
14 "type": "UInt64"
15 },
16 {
17 "name": "totalFeesEarned7d",
18 "type": "Nullable(Float64)"
19 },
20 {
21 "name": "averageAPR7dWeighted",
22 "type": "Nullable(Float64)"
23 },
24 {
25 "name": "firstPositionTimestamp",
26 "type": "Nullable(DateTime('UTC'))"
27 },
28 {
29 "name": "lastActiveTimestamp",
30 "type": "Nullable(DateTime('UTC'))"
31 },
32 {
33 "name": "poolCount",
34 "type": "UInt64"
35 },
36 {
37 "name": "topPoolsData",
38 "type": "Array(Tuple(FixedString(42),String,String,Nullable(Float64),Nullable(Float64)))"
39 },
40 {
41 "name": "tokenExposure",
42 "type": "Array(Tuple(FixedString(42),String,Float64,Nullable(Float64),Nullable(Float64)))"
43 },
44 {
45 "name": "averagePositionSizeUsd",
46 "type": "Nullable(Float64)"
47 },
48 {
49 "name": "medianPositionSizeUsd",
50 "type": "Nullable(Float64)"
51 },
52 {
53 "name": "minPositionSizeUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "maxPositionSizeUsd",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "hhiConcentrationIndex",
62 "type": "Nullable(Float64)"
63 },
64 {
65 "name": "totalFeesEarned30d",
66 "type": "Nullable(Float64)"
67 },
68 {
69 "name": "averageAPR30dWeighted",
70 "type": "Nullable(Float64)"
71 },
72 {
73 "name": "feeAprByPool30d",
74 "type": "Array(Tuple(FixedString(42),String,String,Nullable(Float64),Nullable(Float64)))"
75 }
76 ],
77 "data": [
78 [
79 "0x8115afd8dffce5579381ad27524b6feeae917bef",
80 null,
81 3,
82 null,
83 null,
84 "2025-05-04T15:37:35+00:00",
85 "2025-11-14T21:23:41+00:00",
86 3,
87 [
88 [
89 "0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
90 "USDC",
91 "AERO",
92 7.64293913380204,
93 null
94 ],
95 [
96 "0xcdac0d6c6c59727a65f871236188350531885c43",
97 "WETH",
98 "USDC",
99 4.0592370820075985,
100 null
101 ],
102 [
103 "0x55b27dbddf95a55bd46d0284348dc8231cd72a2c",
104 "USDC.e",
105 "Unitos.net",
106 null,
107 null
108 ]
109 ],
110 [
111 [
112 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
113 "USDC",
114 5.846573580342932,
115 5.846573580342932,
116 null
117 ],
118 [
119 "0x940181a94a35a4569e4529a3cdfb74e38fd98631",
120 "AERO",
121 9.258544786616937,
122 3.8259097792025174,
123 null
124 ],
125 [
126 "0x4200000000000000000000000000000000000006",
127 "WETH",
128 0.0010864921894428372,
129 2.0296928562641887,
130 null
131 ],
132 [
133 "0x04e4dfbdbd7c9416a96e144ac51d95d78f83fb19",
134 "USDC.e",
135 16109.845441127067,
136 null,
137 null
138 ],
139 [
140 "0xd88707f590528b4a1e316eeebe7bb6ac8b0ea461",
141 "Unitos.net",
142 3627.4473281608107,
143 null,
144 null
145 ]
146 ],
147 null,
148 null,
149 null,
150 null,
151 null,
152 null,
153 null,
154 [
155 [
156 "0x6cdcb1c4a4d1c3c6d054b27ac5b77e89eafb971d",
157 "USDC",
158 "AERO",
159 0.0593277037736198,
160 0.09444277695736393
161 ],
162 [
163 "0xcdac0d6c6c59727a65f871236188350531885c43",
164 "WETH",
165 "USDC",
166 0.011900108337477979,
167 0.03566794659052249
168 ],
169 [
170 "0x55b27dbddf95a55bd46d0284348dc8231cd72a2c",
171 "USDC.e",
172 "Unitos.net",
173 null,
174 null
175 ]
176 ]
177 ]
178 ],
179 "rows": 1
180 }
181]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/aero/v2/provider-summary"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/aero/v2/provider-summary"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/aero/v2/provider-summary")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/aero/v2/provider-summary")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request